<?php
/**
 * Yii blog
 *
 * @author Marc Oliveras Galvez <admin@oligalma.com> 
 * @link http://www.oligalma.com
 * @copyright 2016 Oligalma
 * @license New BSD License
 */
 
class BlogModule extends CWebModule{
	/*
	 * Add blog parameters here. You can access them using Yii::app()->controller->module->myBlogParameter
	 */
	private $_assetsUrl;
	public $db;
	public $authManager;
    public $defaultController ="Post"; //or the name of your controller
	public $emailHost;
	public $emailPort;
	public $emailUsername;
	public $emailPassword;		
	public $emailAltMessage;
			    
    public function init()
    {
        // this method is called when the module is being created
        // you may place code here to customize the module or the application
        // import the module-level models and components
        $this->setImport(array(
                'blog.models.*', // make sure that you have this
                'blog.components.*',
        ));
		
       Yii::app()->setComponents(
        	array(
		       'db'=>array(
		           	'class'=>'CDbConnection',
		           	'tablePrefix' => 'tbl_',
		           	'connectionString'=>'sqlite:' .dirname(__FILE__) . '/data/blog.sqlite',
					'charset' => 'utf8',
		            'initSQLs'=>array(
		                    'PRAGMA foreign_keys = ON',
		            ),
		       ),
	            'errorHandler' => array(
	                'errorAction' => 'blog/site/error'
				),
		        'user' => array(
	                'class' => 'CWebUser',             
	                'loginUrl' => Yii::app()->createUrl('blog/site/index'),
		        ),
		        'authManager'=>array(
		            'class'=>'CDbAuthManager',
		            'connectionID'=>'db',
			        'itemTable'=>'tbl_auth_item',
			        'itemChildTable'=>'tbl_auth_item_child',
			        'assignmentTable'=>'tbl_auth_assignment',
			     )
			)
		);		
    }
	
	public function getAssetsUrl()
	{
	    if ($this->_assetsUrl === null)
	        $this->_assetsUrl = Yii::app()->getAssetManager()->publish(Yii::getPathOfAlias('blog.assets'));
		
	    return $this->_assetsUrl;
	}
}