<?php
/**
 * Yii blog
 *
 * @author Marc Oliveras Galvez <admin@oligalma.com> 
 * @link http://www.oligalma.com
 * @copyright 2016 Oligalma
 * @license New BSD License
 */
 
class Parameter extends CActiveRecord
{
	/**
	 * Returns the static model of the specified AR class.
	 * @return CActiveRecord the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return '{{parameter}}';
	}

	/**
	 * @return array validation rules for model attributes.
	 */
	public function rules()
	{
		return array(
			array('id, description, value', 'required'),
			array('description, value','filter','filter'=>array($obj=new CHtmlPurifier(),'purify')),
			//array('value', 'numerical', 'integerOnly'=>true, 'min'=>0),
		);
	}
	
	/**
	 * @return array customized attribute labels (name=>label)
	 */
	public function attributeLabels()
	{
		return array(
			'id' => Message::getTranslation(27),
			'description' => Message::getTranslation(47),
			'value' => Message::getTranslation(48),
		);
	}
	
	public static function getValue($key)
	{
		$parameter = Parameter::model()->findByPk($key);
		if(!is_null($parameter))
			return $parameter->value;
		return "0";
	}
	
	/**
	 * Retrieves the list of categories based on the current search/filter conditions.
	 * @return CActiveDataProvider the data provider that can return the needed posts.
	 */
	public function search()
	{
		$criteria=new CDbCriteria;
		$criteria->compare('id',$this->id);

		return new CActiveDataProvider('Parameter', array(
			'criteria'=>$criteria,
			'sort'=>array(
				'defaultOrder'=>'id ASC',
			),
			'pagination'=>array(
				'pageSize'=>Parameter::getValue(13),
			),
		));
	}
}
	