<?php
/**
 * Yii blog
 *
 * @author Marc Oliveras Galvez <admin@oligalma.com> 
 * @link http://www.oligalma.com
 * @copyright 2016 Oligalma
 * @license New BSD License
 */
 
class UserGroup extends CActiveRecord
{
	const REGISTERED = 1;
	const AUTHOR = 2;
	const EDITOR = 3;
	const PUBLISHER = 4;
	const ADMINISTRATOR = 5;

	/**
	 * Returns the static model of the specified AR class.
	 * @return CActiveRecord the static model class
	 */
	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}

	/**
	 * @return string the associated database table name
	 */
	public function tableName()
	{
		return '{{user_group}}';
	}
	
	public static function getUserGroupsOptions()
	{
		return CHtml::listData(UserGroup::model()->findAll(array('order' => 'id ASC')), 'id', 'name');
	}
}
	