<?php
/**
 * Yii blog
 *
 * @author Marc Oliveras Galvez <admin@oligalma.com> 
 * @link http://www.oligalma.com
 * @copyright 2016 Oligalma
 * @license New BSD License
 */
 
if(!is_null($model->id))
{
	$script=
    		"$(document).ready(function(){
    			$('#Category_category_id option').each(function(){
    				if({$model->id} == $(this).val())
    					$(this).attr('disabled','disabled');
    			});
    		});
		";
	Yii::app()->getClientScript()->registerScript('script', $script);
}
	Yii::app()->clientScript->registerCssFile(Yii::app()->request->baseUrl . '/css/form.css');
    
    Yii::app()->getClientScript()->registerScript('getmaxid', '      
        $(\'#Category_language\').change(function(){
            $.ajax({
                url: "' . $this->createUrl('/blog/category/getMaxId') . '",
                type: "POST",
                data: { language : $(\'#Category_language\').val() }
            }).success(function(result) {
                $(\'#Category_id\').val(result);
            });        
        });                
     ');
     
   /* Yii::app()->getClientScript()->registerScript('script', "
            $.ajax({
                url: '" . $this->createUrl('/blog/category/categoriesByLanguage') . "',
                type: 'POST',
                data: { language : $('#Category_language').val() }
            }).success(function(result) {
                $('#Category_category_id').html(result);
            });    
    ");*/    
?>
	
<div class="form">
<?php $form=$this->beginWidget('CActiveForm'); ?>

	<p class="note"><?= Message::getTranslation(8) ?></p>

	<?php echo CHtml::errorSummary($model); ?>

	<div class="row">
		<?php echo $form->labelEx($model,'id'); ?>
		<?php echo $form->textField($model,'id',array('style'=>'width:100%','maxlength'=>3)); ?>
		<?php echo $form->error($model,'id'); ?>
		<p class="hint">In order to match a different language article you should give both the same post id and category id.</p>
	</div>
	
	<div class="row">
		<?php echo $form->labelEx($model,'name'); ?>
		<?php echo $form->textField($model,'name',array('style'=>'width:100%','maxlength'=>128)); ?>
		<?php echo $form->error($model,'name'); ?>
	</div>
	
	<div class="row">
		<?php
			$htmlOptions = array("ajax"=>array("url" => $this->createUrl("/blog/category/categoriesByLanguage"), "type" => "POST", "update" => "#Category_category_id"),
								"disabled" => $model->scenario === 'update' ? 'disabled' : '');
		?>
		<?php echo $form->labelEx($model,'language'); ?>
		<?php echo $form->dropDownList($model,'language', Language::getLanguagesOptions(), $htmlOptions); ?>
		<?php echo $form->error($model,'language'); ?>
	</div>
	
	<div class="row">
		<?php echo $form->labelEx($model,'category_id'); ?>
		<?php echo $form->dropDownList($model,'category_id', Category::getCategoriesOptions(is_null($model->id) ? $language : $model->language), array('empty'=>'Select a category')); ?>
		<?php echo $form->error($model,'category_id'); ?>
	</div>
	
	<div class="row">
		<?php echo $form->labelEx($model,'status'); ?>
		<?php echo $form->dropDownList($model,'status',Lookup::items('CategoryStatus')); ?>
		<?php echo $form->error($model,'status'); ?>
	</div>

	<div class="row buttons">
		<?php echo CHtml::submitButton($model->isNewRecord ? Message::getTranslation(50) : Message::getTranslation(70), array('class' => 'bigbutton')); ?>
	</div>
	
	<?= CHtml::hiddenField('lang', Yii::app()->getLanguage()) ?>

<?php $this->endWidget(); ?>

</div><!-- form -->